Aracılığıyla paylaş


Triggers - Unsubscribe From Events

Olay tetikleyicisi aboneliğini olaylardan kaldırma.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/triggers/{triggerName}/unsubscribeFromEvents?api-version=2018-06-01

URI Parametreleri

Name İçinde Gerekli Tür Description
factoryName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$

Fabrika adı.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır.

subscriptionId
path True

string (uuid)

Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.

triggerName
path True

string

minLength: 1
maxLength: 260
pattern: ^[A-Za-z0-9_][^<>*#.%&:\\+?/]*$

Tetikleyici adı.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

Yanıtlar

Name Tür Description
200 OK

TriggerSubscriptionOperationStatus

Azure işlemi başarıyla tamamlandı.

202 Accepted

Kaynak işlemi kabul edildi.

Üst Bilgiler

  • Location: string
  • Retry-After: integer
Other Status Codes

CloudError

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Akışı.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

Triggers_UnsubscribeFromEvents

Örnek isteği

POST https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/triggers/exampleTrigger/unsubscribeFromEvents?api-version=2018-06-01

Örnek yanıt

{
  "status": "Disabled",
  "triggerName": "exampleTrigger"
}
Location: https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/triggers/exampleTrigger/getEventSubscriptionStatus?api-version=2018-06-01

Tanımlar

Name Description
CloudError

Azure Data Factory hata yanıtının yapısını tanımlayan nesne.

EventSubscriptionStatus

Olay Aboneliği Durumu.

TriggerSubscriptionOperationStatus

Tetikleyici abonelik işleminin yanıtını tanımlar.

CloudError

Azure Data Factory hata yanıtının yapısını tanımlayan nesne.

Name Tür Description
error.code

string

Hata kodu.

error.details

CloudError[]

Ek hata ayrıntıları içeren dizi.

error.message

string

Hata mesajı.

error.target

string

Hatayla ilişkili istekte özellik adı/yolu.

EventSubscriptionStatus

Olay Aboneliği Durumu.

Değer Description
Enabled

Enabled

Provisioning

Provisioning

Deprovisioning

Hizmetten çıkarma

Disabled

Disabled

Unknown

Bilinmiyor

TriggerSubscriptionOperationStatus

Tetikleyici abonelik işleminin yanıtını tanımlar.

Name Tür Description
status

EventSubscriptionStatus

Olay Aboneliği Durumu.

triggerName

string

Tetikleyici adı.